## com.lowagie.text.pdf
Class SpotColor

    java.lang.Object
      java.awt.Color
          com.lowagie.text.pdf.ExtendedColor
              com.lowagie.text.pdf.SpotColor

All Implemented Interfaces:
  java.awt.Paint, java.awt.Transparency, java.io.Serializable

    public class SpotColor

extends ExtendedColor

Author:
  psoares
See Also:
  Serialized Form

Field Summary
`(package private) PdfSpotColor` `spot`
`(package private) float` `tint`

Fields inherited from class com.lowagie.text.pdf.ExtendedColor
`type, TYPE_CMYK, TYPE_GRAY, TYPE_PATTERN, TYPE_RGB, TYPE_SEPARATION, TYPE_SHADING`

Fields inherited from class java.awt.Color
`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`SpotColor(PdfSpotColor spot)`
`SpotColor(PdfSpotColor spot, float tint)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`PdfSpotColor` `getPdfSpotColor()`
`float` `getTint()`
`int` `hashCode()`

Methods inherited from class com.lowagie.text.pdf.ExtendedColor
`getType, getType, normalize`

Methods inherited from class java.awt.Color
`brighter, createContext, darker, decode, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, HSBtoRGB, RGBtoHSB, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### spot

    PdfSpotColor spot

### tint

    float tint

Constructor Detail

### SpotColor

    public SpotColor(PdfSpotColor spot,
                     float tint)

### SpotColor

    public SpotColor(PdfSpotColor spot)

Method Detail

### getPdfSpotColor

    public PdfSpotColor getPdfSpotColor()

### getTint

    public float getTint()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.awt.Color`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.awt.Color`